#### D.13.6.13 tInitialForm

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  tInitialForm(f,w); f a polynomial, w an integer vector

Assume:
  f is a polynomial in Q[t,x_1,...,x_n] and w=(w_0,w_1,...,w_n)

Return:
  poly, the t-initialform of f(t,x) w.r.t. w evaluated at t=1

Note:
  the t-initialform is the sum of the terms with MAXIMAL
  weighted order w.r.t. w

Example:

    LIB "tropical.lib";
    ring r=0,(t,x,y),dp;
    poly f=t4x2+y2-t2xy+t4x-t9;
    intvec w=-1,-2,-3;
    tInitialForm(f,w);

User manual for Singular version 4.4.1, 2025, generated by texi2html.